<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getCustomers StructType
 * @subpackage Structs
 */
class GetCustomers extends AbstractStructBase
{
    /**
     * The SinceLastExport
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SinceLastExport;
    /**
     * The pUser
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUser;
    /**
     * The pPassword
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPassword;
    /**
     * Constructor method for getCustomers
     * @uses GetCustomers::setSinceLastExport()
     * @uses GetCustomers::setPUser()
     * @uses GetCustomers::setPPassword()
     * @param bool $sinceLastExport
     * @param string $pUser
     * @param string $pPassword
     */
    public function __construct($sinceLastExport = null, $pUser = null, $pPassword = null)
    {
        $this
            ->setSinceLastExport($sinceLastExport)
            ->setPUser($pUser)
            ->setPPassword($pPassword);
    }
    /**
     * Get SinceLastExport value
     * @return bool
     */
    public function getSinceLastExport()
    {
        return $this->SinceLastExport;
    }
    /**
     * Set SinceLastExport value
     * @param bool $sinceLastExport
     * @return \StructType\GetCustomers
     */
    public function setSinceLastExport($sinceLastExport = null)
    {
        // validation for constraint: boolean
        if (!is_null($sinceLastExport) && !is_bool($sinceLastExport)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sinceLastExport)), __LINE__);
        }
        $this->SinceLastExport = $sinceLastExport;
        return $this;
    }
    /**
     * Get pUser value
     * @return string|null
     */
    public function getPUser()
    {
        return $this->pUser;
    }
    /**
     * Set pUser value
     * @param string $pUser
     * @return \StructType\GetCustomers
     */
    public function setPUser($pUser = null)
    {
        // validation for constraint: string
        if (!is_null($pUser) && !is_string($pUser)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pUser)), __LINE__);
        }
        $this->pUser = $pUser;
        return $this;
    }
    /**
     * Get pPassword value
     * @return string|null
     */
    public function getPPassword()
    {
        return $this->pPassword;
    }
    /**
     * Set pPassword value
     * @param string $pPassword
     * @return \StructType\GetCustomers
     */
    public function setPPassword($pPassword = null)
    {
        // validation for constraint: string
        if (!is_null($pPassword) && !is_string($pPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pPassword)), __LINE__);
        }
        $this->pPassword = $pPassword;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCustomers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
